# Generated by Django 3.2.7 on 2021-10-06 10:03

from django.db import migrations, models
import uuid


def migrate_data(apps, schema_editor):
    Subject = apps.get_model('subjects', 'Subject')
    for subject in Subject.objects.all():
        subject.uuid_new = uuid.UUID(subject.uuid)
        subject.save()


class Migration(migrations.Migration):

    dependencies = [
        ('subjects', '0027_rename_subject_slug_to_uuid'),
    ]

    operations = [
        migrations.AddField(
            model_name='subject',
            name='uuid_new',
            field=models.UUIDField(default=uuid.uuid4, unique=True, verbose_name='UUID'),
        ),
        migrations.RunPython(migrate_data),
        migrations.RemoveField(
            model_name='subject',
            name='uuid',
        ),
        migrations.RenameField(
            model_name='subject',
            old_name='uuid_new',
            new_name='uuid',
        ),
    ]
